VMTKCENTERLINESECTIONS(1)

NAME
vmtkcenterlinesections - vmtk script vmtkcenterlinesections

DESCRIPTION
Automatic piping vmtkcenterlinesections Parsing options vmtkcenterlinesections

vmtkcenterlinesections : compute geometric properties of sections

    located along centerlines. The script takes in input the surface and the relative centerlines.

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Surface (vtkPolyData,1): the input surface

-ifile SurfaceInputFileName (str,1): filename for the default

    Surface reader

-centerlines Centerlines (vtkPolyData,1): the input centerlines

-centerlinesfile CenterlinesInputFileName (str,1): filename for the

    default Centerlines reader

-branchsectionarea CenterlineSectionAreaArrayName (str,1);

    default=CenterlineSectionArea: name of the array where the area of bifurcation sections have to be stored

-branchsectionminsize CenterlineSectionMinSizeArrayName (str,1);

    default=CenterlineSectionMinSize: name of the array where the minimum diameter of each section has to be stored

-branchsectionmaxsize CenterlineSectionMaxSizeArrayName (str,1);

    default=CenterlineSectionMaxSize: name of the array where the maximum diameter of each bifurcation sections has to be stored

-centerlinesectionshape CenterlineSectionShapeArrayName (str,1);

    default=CenterlineSectionShape: name of the array where the shape index, i.e. the ratio between minimum and maximum diameter, of each bifurcation section has to be stored

-branchsectionclosed CenterlineSectionClosedArrayName (str,1);

    default=CenterlineSectionClosed: name of the array containing 1 if a section is closed and 0 otherwise

-ofile CenterlineSectionsOutputFileName (str,1): filename for the

    default CenterlineSections writer

-ocenterlinesfile CenterlinesOutputFileName (str,1): filename for

    the default Centerlines writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o CenterlineSections (vtkPolyData,1): the output sections

-ocenterlines Centerlines (vtkPolyData,1): the output centerlines

-branchsectionarea CenterlineSectionAreaArrayName (str,1);

    default=CenterlineSectionArea: name of the array where the area of bifurcation sections are stored

-branchsectionminsize CenterlineSectionMinSizeArrayName (str,1);

    default=CenterlineSectionMinSize: name of the array where the minimum diameter of each section are stored

-branchsectionmaxsize CenterlineSectionMaxSizeArrayName (str,1);

    default=CenterlineSectionMaxSize: name of the array where the minimum diameter of each bifurcation sections has to be stored

-centerlinesectionshape CenterlineSectionShapeArrayName (str,1);

    default=CenterlineSectionShape: name of the array where the shape index, i.e. the ratio between minimum and maximum diameter, of each bifurcation section are stored

-branchsectionclosed CenterlineSectionClosedArrayName (str,1);

    default=CenterlineSectionClosed: name of the array containing 1 if a section is closed and 0 otherwise